package com.storm.smart.service;
import com.storm.smart.domain.FileListItem;
import com.storm.smart.service.IMusicServiceCallback;
interface IBfMusiceService {

    void play(in FileListItem item,String from);
    void pause();
    void start();
    void stop();
    int getDuration();
    int getCurrentPosition();
    void prev();
    void next();
    boolean isPlaying();
    void seekTo(int msec);
    void setManualClickPause(boolean isManualClickPause);
    String getPlayingPath();
    
    void setAlbumList(in List<FileListItem> items);
    
    void registerMusicCallback(IMusicServiceCallback callback);
    void unregisterMusicCallback(IMusicServiceCallback callback);
}
